> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getnowadays.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization Events

> Retrieve all events for an organization

Get a list of all events for a specific organization. Results can be filtered by status and date range.

### Path Parameters

<ParamField path="org_id" type="number" required>
  The unique identifier of the organization
</ParamField>

### Query Parameters

<ParamField query="status" type="string">
  Filter by event status (in-progress, quoted, booked, completed, cancelled)
</ParamField>

<ParamField query="start_date" type="string">
  Filter events starting after this date (ISO 8601 format)
</ParamField>

<ParamField query="end_date" type="string">
  Filter events ending before this date (ISO 8601 format)
</ParamField>

<ParamField query="limit" type="number">
  Maximum number of results to return (default: 50, max: 200)
</ParamField>

<ParamField query="offset" type="number">
  Number of results to skip for pagination (default: 0)
</ParamField>

### Response Format

```json theme={null}
{
  "total": 25,
  "limit": 50,
  "offset": 0,
  "events": [
    {
      "event_id": 789,
      "name": "Annual Conference 2027",
      "event_status": "quoted",
      "num_people": 400,
      "formatted_locations": [
        {
          "city": "Austin",
          "state": "Texas",
          "country": "United States"
        }
      ],
      "event_dates": [
        {
          "startDate": "2027-03-15",
          "endDate": "2027-03-17"
        }
      ],
      "created_at": "2025-11-21T10:00:00Z",
      "user_email": "planner@company.com"
    },
    {
      "event_id": 790,
      "name": "Summer Retreat 2027",
      "event_status": "in-progress",
      "num_people": 50,
      "formatted_locations": [
        {
          "city": "San Francisco",
          "state": "California",
          "country": "United States"
        }
      ],
      "event_dates": [
        {
          "startDate": "2027-06-10",
          "endDate": "2027-06-12"
        }
      ],
      "created_at": "2025-11-20T15:30:00Z",
      "user_email": "manager@company.com"
    }
  ]
}
```

### Example Request

```
GET /api/organizations/123/events?status=quoted&limit=25
```
